
QGIS Application - Bug report #6225

list of layers in zip shown a second time if none selected

2012-08-19 05:38 PM - Alister Hood

Status: Closed

Priority: Low

Assignee: Etienne Tourigny

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15536

Description

QGIS has the ability since 1.8 to load layers from inside a zip.  If the zip contains more than one layer then a list of the layers is shown for

the user to choose which one to load.  This is the same as when loading layers from a personal geodatabase which contains multiple

layers, or when loading a folder of shapefiles.

However, when loading layers from a zip the list of layers to choose is shown a second time if the user clicked "Cancel", or did not select

any layers.

When loading the other sources (i.e. not a zip) the list of layers is not shown a second time.

I think the behaviour should be consistent.

Tested with master on Windows and Linux.

Associated revisions

Revision 4b7be2a8 - 2012-08-28 12:25 AM - Etienne Tourigny

fix #6225

History

#1 - 2012-08-27 12:18 PM - Etienne Tourigny

- Assignee set to Etienne Tourigny

- Status changed from Open to Feedback

I'll look into this sometime this week.  Does this happen with all formats, or just shapefiles?

#2 - 2012-08-27 03:27 PM - Alister Hood

All formats.

#3 - 2012-08-27 03:59 PM - Etienne Tourigny

- Status changed from Feedback to Closed

Fixed in changeset commit:"4b7be2a88e1074e1121823979b92879487845b0e".
